aboutsummaryrefslogtreecommitdiffstats
path: root/git-commit-script
diff options
context:
space:
mode:
authorLinus Torvalds <torvalds@ppc970.osdl.org>2005-05-30 12:51:00 -0700
committerLinus Torvalds <torvalds@ppc970.osdl.org>2005-05-30 12:51:00 -0700
commita3e870f2e2bcacc80d5b81d7b77c15a7928a9082 (patch)
tree58f726b5db2132fe3c76e92253c3504dd80272e1 /git-commit-script
parentf345b0a066572206aac4a4f9a57d746e213b6bff (diff)
downloadgit-a3e870f2e2bcacc80d5b81d7b77c15a7928a9082.tar.gz
Add "commit" helper script
This is meant to make raw git not hugely less usable than something like raw CVS. I want to make a 1.0 release of the plumbing, and the actual commit part was just too intimidating.
Diffstat (limited to 'git-commit-script')
-rwxr-xr-xgit-commit-script15
1 files changed, 15 insertions, 0 deletions
diff --git a/git-commit-script b/git-commit-script
new file mode 100755
index 0000000000..f8d568ce88
--- /dev/null
+++ b/git-commit-script
@@ -0,0 +1,15 @@
+#!/bin/sh
+git-status-script > .editmsg
+if [ "$?" != "0" ]
+then
+ cat .editmsg
+ exit 1
+fi
+ED=${VISUAL:$EDITOR}
+ED=${ED:vi}
+$ED .editmsg
+grep -v '^#' < .editmsg | git-stripspace > .cmitmsg
+[ -s .cmitmsg ] || exit 1
+tree=$(git-write-tree) || exit 1
+commit=$(cat .cmitmsg | git-commit-tree $tree -p HEAD) || exit 1
+echo $commit > .git/HEAD